Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.deciderules
Class FilterDecideRule

    java.lang.Object
      javax.management.Attribute
          org.archive.crawler.settings.Type
              org.archive.crawler.settings.ComplexType
                  org.archive.crawler.settings.ModuleType
                      org.archive.crawler.deciderules.DecideRule
                          org.archive.crawler.deciderules.FilterDecideRule

All Implemented Interfaces:
  java.io.Serializable, javax.management.DynamicMBean

    public class FilterDecideRule

extends DecideRule

FilterDecideRule wraps a legacy Filter for use in DecideRule contexts.

Author:
  gojomo
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.archive.crawler.settings.ComplexType
`ComplexType.MBeanAttributeInfoIterator`

Field Summary
`static java.lang.String[]` | `ALLOWED_TYPES`
`static java.lang.String` | `ATTR_FALSE_DECISION`
`static java.lang.String` | `ATTR_FILTERS` Filters setting
`static java.lang.String` | `ATTR_TRUE_DECISION`
`(package private) MapType` | `filters` Filter(s) to apply.

Fields inherited from class org.archive.crawler.deciderules.DecideRule
`ACCEPT, PASS, REJECT`

Fields inherited from class org.archive.crawler.settings.ComplexType
`definition, definitionMap`

Constructor Summary
`FilterDecideRule(java.lang.String name)` Constructor.

Method Summary
`java.lang.Object` | `decisionFor(java.lang.Object object)` Make decision on passed `object`.
`protected boolean` | `filtersAccept(CrawlURI curi)` Do all specified filters (if any) accept this CrawlURI?
`protected boolean` | `filtersAccept(MapType fs, CrawlURI curi)` Do all specified filters (if any) accept this CrawlURI?

Methods inherited from class org.archive.crawler.deciderules.DecideRule
`getController, kickUpdate, singlePossibleNonPassDecision`

Methods inherited from class org.archive.crawler.settings.ModuleType
`addElement, listUsedFiles`

Methods inherited from class org.archive.crawler.settings.ComplexType
`addElementToDefinition, checkValue, earlyInitialize, getAbsoluteName, getAttribute, getAttribute, getAttribute, getAttributeInfo, getAttributeInfo, getAttributeInfoIterator, getAttributes, getDataContainerRecursive, getDataContainerRecursive, getDefaultValue, getDescription, getElementFromDefinition, getLegalValues, getLocalAttribute, getMBeanInfo, getMBeanInfo, getParent, getPreservedFields, getSettingsHandler, getUncheckedAttribute, getValue, globalSettings, invoke, isInitialized, isOverridden, iterator, removeElementFromDefinition, setAsOrder, setAttribute, setAttribute, setAttributes, setDescription, setPreservedFields, toString, unsetAttribute`

Methods inherited from class org.archive.crawler.settings.Type
`addConstraint, equals, getConstraints, getLegalValueType, isExpertSetting, isOverrideable, isTransient, setExpertSetting, setLegalValueType, setOverrideable, setTransient`

Methods inherited from class javax.management.Attribute
`getName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### filters

    MapType filters

  Filter(s) to apply. Package protections for testing.

### ATTR_FILTERS

    public static final java.lang.String ATTR_FILTERS

  Filters setting

  See Also:
    Constant Field Values

### ATTR_TRUE_DECISION

    public static final java.lang.String ATTR_TRUE_DECISION

See Also:
  Constant Field Values

### ATTR_FALSE_DECISION

    public static final java.lang.String ATTR_FALSE_DECISION

See Also:
  Constant Field Values

### ALLOWED_TYPES

    public static final java.lang.String[] ALLOWED_TYPES

Constructor Detail

### FilterDecideRule

    public FilterDecideRule(java.lang.String name)

  Constructor.

  Parameters:
    `name` - Name of this rule.

Method Detail

### decisionFor

    public java.lang.Object decisionFor(java.lang.Object object)

  Make decision on passed `object`.

  Overrides:
    `decisionFor` in class `DecideRule`
  Parameters:
    `object` - Object to rule on.
  Returns:
    `DecideRule.ACCEPT`, `DecideRule.REJECT`, or `DecideRule.PASS`.

### filtersAccept

    protected boolean filtersAccept(CrawlURI curi)

  Do all specified filters (if any) accept this CrawlURI?

  Parameters:
    `curi` -
  Returns:
    True if all filters accept this CrawlURI.

### filtersAccept

    protected boolean filtersAccept(MapType fs,
                                    CrawlURI curi)

  Do all specified filters (if any) accept this CrawlURI?

  Parameters:
    `curi` -
    `fs` - Filters to process.
  Returns:
    True if all filters accept this CrawlURI.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.